### Method

# Gio Permission acquire

since: 2.26

#### Declaration [src]

    gboolean
    g_permission_acquire (
      GPermission* permission,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Attempts to acquire the permission represented by `permission`.

The precise method by which this happens depends on the permission and the underlying authentication mechanism. A simple example is that a dialog may appear asking the user to enter their password.

You should check with `g_permission_get_can_acquire()` before calling this function.

If the permission is acquired then `TRUE` is returned. Otherwise, `FALSE` is returned and `error` is set appropriately.

This call is blocking, likely for a very long time (in the case that user interaction is required). See `g_permission_acquire_async()` for the non-blocking version.

Available since: 2.26

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the permission was successfully acquired.